<script setup>
import { ref } from "vue";

const props = defineProps({
	offset: {
		type: Array,
		default() {
			return [0, 0];
		},
	},
	width: {
		type: [Number, String],
		default: 142,
	},
	height: {
		type: [Number, String],
		default: 38,
	},
	color: {
		type: String,
		default: "#0ff",
	},
	fillColor: {
		type: String,
		default: '#989898',
	},
	tColor: {
		type: String,
		default: "#fff",
	},
	text: {
		type: [Number, String],
		default: "Text",
	},
	fontSize: {
		type: [Number, String],
		default: 16,
	},
	textAnchor: {
		type: String,
		validator: (v) => ["start", "middle", "end"].includes(v),
		default: "middle",
	},
});
</script>

<template>
  <g ref="g" :transform="'translate(' + offset.join(',') + ')'">
    <rect
      :width="width"
      :height="height"
      :stroke="color"
      :fill="fillColor"
      style="stroke-width: 2"
    />
    <text
      :x="width / 2"
      :y="height / 2"
      :dy="fontSize / 2"
      :fill="tColor"
      :text-anchor="textAnchor"
      :font-size="fontSize"
      >{{ text }}</text
    >
  </g>
</template>

<style scoped lang="less"></style>
